﻿
using System.Web.Mvc;

namespace RecruitmentAgency.Controllers
{
    /// <summary>
    /// The RecruitmentAgency.Controllers.HomeController provides methods and properties useful to the Home page in the RecruitmentAgency web site
    /// </summary>
    [HandleError]   
    public class HomeController : BaseController
    {
        /// <summary>
        /// Initialises a new RecruitmentAgency.Controllers.BaseController instance
        /// </summary>
        public HomeController() : base()
        {
        }

        /// <summary>
        /// Displays the website Home page
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to Connection";
            return View();
        }

        /// <summary>
        /// Displays the CVs Page
        /// </summary>        
        public ActionResult Cvs()
        {
            return View(CurrentPersonId);
        }

        /// <summary>
        /// Displays the Companies home page
        /// </summary>
        public ActionResult Companies()
        {
            return View(JobProviderDataProvider.GetJobProviderByPersonId(CurrentPersonId).JobProviderId);
        }

        /// <summary>
        /// Displays the Contact home page
        /// </summary>
        public ActionResult Contact()
        {
            return View();
        }

        /// <summary>
        /// Displays the About page
        /// </summary>
        public ActionResult About()
        {
            return View();
        }

        /// <summary>
        /// Display the Register page
        /// </summary>        
        public ActionResult Register()
        {            
            return View();
        }

        /// <summary>
        /// Displays the Jobs page
        /// </summary>
        public ActionResult Jobs()
        {
            return View();
        }

        /// <summary>
        /// Displays the Admin page
        /// </summary>          
        public ActionResult Admin()
        {
            return View();
        }
    
    }
}
