﻿using System.Collections.Generic;

namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.DataTypes.CvData contains all the relevant CV details that belongs to the user whose ID number is specified with the CurrentUserId property
    /// </summary>
    public class CvData
    {
        /// <summary>
        /// Gets or sets the ID number of the current user
        /// </summary>
        public int CurrentUserId { get; set; }

        /// <summary>
        /// Gets or sets the PersonalDetail of the CvData
        /// </summary>
        public PersonalDetail PersonalDetail { get; set; }

        /// <summary>
        /// Gets or sets the PersonQualification of the CvData
        /// </summary>
        public PersonQualification PersonQualification { get; set; }

        /// <summary>
        /// Gets or sets the PersonEmployment of the CvData
        /// </summary>
        public PersonEmployment PersonEmployment { get; set; }

        /// <summary>
        /// Gets or sets the PersonSkill of the CvData
        /// </summary>
        public PersonSkill PersonSkill { get; set; }

        /// <summary>
        /// Gets or sets the PersonReferee of the CvData
        /// </summary>
        public PersonReferee PersonReferee { get; set; }

        /// <summary>
        /// Gets or sets the List of PersonalDetail instances of the CvData
        /// </summary>
        public List<PersonalDetail> PersonalDetails { get; set; }

        /// <summary>
        /// Gets or sets the List of PersonQualification instances of the CvData
        /// </summary>
        public List<PersonQualification> PersonQualifications { get; set; }

        /// <summary>
        /// Gets or sets the List of PersonEmployment instances of the CvData
        /// </summary>
        public List<PersonEmployment> PersonEmployments { get; set; }

        /// <summary>
        /// Gets or sets the List of PersonSkill instances of the CvData
        /// </summary>
        public List<PersonSkill> PersonSkills { get; set; }

        /// <summary>
        /// Gets or sets the List of PersonReferee instances of the CvData
        /// </summary>
        public List<PersonReferee> PersonReferees { get; set; }
    }
}