﻿using System;

namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.ExceptionLog contains all the relevant Exception information 
    /// </summary>
    public class ExceptionLog
    {
        /// <summary>
        /// Gets or sets the Exception Source
        /// </summary>
        public string Source { get; set; }

        /// <summary>
        /// Gets or sets the Application Name where the Exception occurred
        /// </summary>
        public string ApplicationName { get; set; }

        /// <summary>
        /// Gets or sets the date and time of the occurred exception
        /// </summary>
        public DateTime DateTime { get; set; }

        /// <summary>
        /// Gets or sets the Message contained in the xception
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// Gets or sets the name of the form where the Exception occurred
        /// </summary>
        public string Form { get; set; }

        /// <summary>
        /// Gets or sets the query which caused the Exception
        /// </summary>
        public string Query { get; set; }

        /// <summary>
        /// Gets or sets the action target that caused the Exception
        /// </summary>
        public string Target { get; set; }

        /// <summary>
        /// Gets or sets the Stack trace
        /// </summary>
        public string StackTrace { get; set; }

        /// <summary>
        /// Gets or sets the Referral Url
        /// </summary>
        public string Referrer { get; set; }

        /// <summary>
        /// Gets or sets the Data contained in the exception
        /// </summary>
        public string Data { get; set; }

        /// <summary>
        /// Gets or sets the Application path where the exception occurred
        /// </summary>
        public string ApplicationPath { get; set; }

    }
}