﻿using System;

namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.Job contains all the relevant Job Information 
    /// </summary>
    public class Job
    {
        /// <summary>
        /// Gets or sets the ID number of the Job record
        /// </summary>
        public int JobId { get; set; }

        /// <summary>
        /// Gets or sets the Job title of the Job record
        /// </summary>
        public string JobTitle { get; set; }

        /// <summary>
        /// Gets or sets the description of the Job record
        /// </summary>
        public string JobDescription { get; set; }

        /// <summary>
        /// Gets or sets the sector of the Job record
        /// </summary>
        public string JobSector { get; set; }

        /// <summary>
        /// Gets or sets the date in which the job was created
        /// </summary>
        public string JobCreated { get; set; }

        /// <summary>
        /// Gets or sets the Job closing date
        /// </summary>
        public string ClosingDate { get; set; }

        /// <summary>
        /// Gets or sets the ID of the company providing the Job 
        /// </summary>
        public int JobProviderId { get; set;}

        /// <summary>
        /// Gets or sets the name of the company providing the Job 
        /// </summary>
        public string JobProviderName { get; set; }
    }
}