﻿using System.Collections.Generic;

namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.DataTypes.JobProviderSearchData contains all the relevant details for the search parameters and results
    /// </summary>
    public class JobProviderSearchData
    {
        /// <summary>
        /// Initialises a new RecruitmentAgency.Models.DataTypes.JobProviderSearchData instance
        /// </summary>
        public JobProviderSearchData()
        {
            Results = new List<JobProvider>();
        }

        /// <summary>
        /// Gets or sets the list of job provider instances
        /// </summary>
        public List<JobProvider> Results { get; set; }

        /// <summary>
        /// Gets or sets the size of the result pages
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// Gets or sets the current result page number 
        /// </summary>
        public int PageNumber { get; set; }

        /// <summary>
        /// Gets or sets the total number of results
        /// </summary>
        public int TotalResultCount { get; set; }

        /// <summary>
        /// Gets or sets the first name of the job provider to search for
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// Gets or sets the last name of the job provider to search for
        /// </summary>
        public string LastName { get; set; }

        /// <summary>
        /// Gets or sets the company name of the job provider to search for
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// Gets or sets the company registration number of the job provider to search for
        /// </summary>
        public string RegistrationNumber { get; set; }

        /// <summary>
        /// Gets or sets the city of the job provider to search for
        /// </summary>
        public string City { get; set; }
    }
}