
using System.Collections.Generic;

namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.JobSearchData contains all the relevant details for the search parameters and results
    /// </summary>
    public class JobSearchData
    {
        /// <summary>
        /// Initialises a new RecruitmentAgency.Models.Cv.DataTypes.JobSearchData instance
        /// </summary>
        public JobSearchData()
        {
            Results = new List<Job>();
        }

        /// <summary>
        /// Gets or sets the list of Job instances
        /// </summary>
        public List<Job> Results { get; set; }

        /// <summary>
        /// Gets or sets the size of the result pages
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// Gets or sets the current result page number 
        /// </summary>
        public int PageNumber { get; set; }

        /// <summary>
        /// Gets or sets the total number of results
        /// </summary>
        public int TotalResultCount { get; set; }

        /// <summary>
        /// Gets or sets the job sector to search for
        /// </summary>
        public string JobSector { get; set; }

        /// <summary>
        /// Gets or sets the job title to search for
        /// </summary>
        public string JobTitle { get; set; }

        /// <summary>
        /// Gets or sets the job description to search for
        /// </summary>
        public string JobDescription { get; set; }

        /// <summary>
        /// Gets or sets the closing date of the job to search for
        /// </summary>
        public string ClosingDate { get; set; }
    }
}