﻿namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.Login contains the data necessary for the Log In
    /// </summary>
    public class Login
    {
        /// <summary>
        /// Gets or Sets the Username of the Login
        /// </summary>
        public string UserName { get; set;} 

        /// <summary>
        /// Gets or sets the password of the Login
        /// </summary>
        public string Password { get; set;}

        /// <summary>
        /// Gets or sets the bool value utilized to automatically loggin  the user when visiting the website in the future.
        /// </summary>
        public bool RememberMe { get; set;}

        /// <summary>
        /// Gets or sets the Referral Url
        /// </summary>
        public string ReturnUrl { get; set; }

        /// <summary>
        /// Gets a Boolean value that determines whether the RecruitmentAgency.Models.Cv.DataTypes.Login is to be considered to be null
        /// </summary>
        public bool IsNull
        {
            get
            {
                return UserName == null && Password == null;
            }
        }
    }
}