﻿namespace RecruitmentAgency.Models.DataTypes
{
    ///<summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.Register contains personal used for the registration of Job Seekers
    ///</summary>
    public class Register
    {
        /// <summary>
        /// Gets or sets the title of the JobSeeker that is registering
        /// </summary>
        public string RegisterTitle { get; set;}

        /// <summary>
        /// Gets or sets the first name of the JobSeeker that is registering
        /// </summary>
        public string RegisterFirstName { get; set;}

        /// <summary>
        /// Gets or sets the last name of the JobSeeker that is registering
        /// </summary>      
        public string RegisterLastName { get; set;}

        /// <summary>
        /// Gets or sets the personal e-mail address of the JobSeeker that is registering
        /// </summary>
        public string PersonalEmail { get; set;}

        /// <summary>
        /// Gets or sets the username of the JobSeeker that is registering
        /// </summary>
        public string RegisterUserName { get; set;}

        /// <summary>
        /// Gets or sets the password of the JobSeeker that is registering
        /// </summary>
        public string RegisterPassword { get; set; }

        /// <summary>
        /// Gets or sets the encrypted password of the JobSeeker that is registering
        /// </summary>
        public byte[] RegisterEncryptedPassword { get; set; }

        /// <summary>
        /// Gets or sets the salt key of the JobSeeker that is registering
        /// </summary>
        public byte[] RegisterSalt { get; set; }

        /// <summary>
        /// Gets or sets the confirmation password of the JobSeeker that is registering
        /// </summary>
        public string RegisterConfirmPassword { get; set;}
        
        /// <summary>
        /// Gets a Boolean value that determines whether the RecruitmentAgency.Models.Cv.DataTypes.JobProvider is to be considered to be null
        /// </summary>
        public bool IsNull
        {
            get
            {
                return RegisterTitle == null && RegisterFirstName == null && RegisterLastName == null && PersonalEmail == null && RegisterUserName == null && RegisterPassword == null && RegisterConfirmPassword == null;
            }
        }
    }
}