﻿namespace RecruitmentAgency.Models.DataTypes
{
    /// <summary>
    /// The RecruitmentAgency.Models.Cv.DataTypes.SearchResult contains personal details that belong to the user whose ID number is specified with the PersonId property
    /// </summary>
    public class SearchResult
    {
        /// <summary>
        /// Gets or sets the ID number of the user that the search result relates to
        /// </summary>
        public int PersonId { get; set; }

        /// <summary>
        /// Gets or sets the first name of the user that the search result relates to
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// Gets or sets the last name of the user that the search result relates to
        /// </summary>
        public string LastName { get; set; }

        /// <summary>
        /// Gets or sets the home phone number of the user that the search result relates to
        /// </summary>
        public string HomePhone { get; set; }

        /// <summary>
        /// Gets or sets the mobile phone number of the user that the search result relates to
        /// </summary>
        public string MobilePhone { get; set; }

        /// <summary>
        /// Gets or sets the personal e-mail address of the user that the search result relates to
        /// </summary>
        public string Email1 { get; set; }

        /// <summary>
        /// Gets or sets the work e-mail address of the user that the search result relates to
        /// </summary>
        public string Email2 { get; set; }

        /// <summary>
        /// Gets or sets the contact preference of the user that the search result relates to
        /// </summary>
        public string ContactPreference { get; set; }

        /// <summary>
        /// Gets or sets the town of the user that the search result relates to
        /// </summary>
        public string Town { get; set; }

        /// <summary>
        /// Gets or sets the website URL of the user that the search result relates to
        /// </summary>
        public string WebsiteUrl { get; set; }

        /// <summary>
        /// Gets or sets the job sector preference of the user that the search result relates to
        /// </summary>
        public string JobSectorPreference { get; set; }

        /// <summary>
        /// Gets or sets the number of unverified records of the user that the search result relates to
        /// </summary>
        public int NotVerifiedCount { get; set; }
    }
}