<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonQualification>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm()) {%>
        <fieldset>
            <div class="panelTop"></div>
            <div id="qualifications" class="padLR20">
                <div class="titleLabel">Add qualifications</div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="Name">Name:</label>
                    </div>
                    <%= Html.TextBox("QualificationName")%>
                    <%= Html.ValidationMessage("QualificationName")%>
                    <div class="formLabel">
                        <label for="Subject">Subject:</label>
                    </div>
                    <%= Html.TextBox("Subject") %>
                    <%= Html.ValidationMessage("Subject") %>
                    <div class="formLabel">
                        <label for="Type">Type:</label>
                    </div>
                    <%=Html.DropDownList("Type", (SelectList)ViewData["types"], new { @class = "dropDownList", onchange = "UpdateVocational(this)" })%>                       
                    <%= Html.ValidationMessage("Type")%>
                    <div class="formLabel">
                        <label for="Vocational">Vocational:</label>
                    </div>
                    <%= Html.TextBox("Vocational", Model.Vocational, new { onkeypress = "return false;" })%>
                </div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="AwardedBy">Awarded by:</label>
                    </div>
                    <%= Html.TextBox("AwardedBy")%>
                    <%= Html.ValidationMessage("AwardedBy")%>
                    <div class="formLabel">
                        <label for="Year">Year:</label>
                    </div>
                    <%= Html.TextBox("Year") %>
                    <%= Html.ValidationMessage("Year") %>
                    <div class="formLabel">
                        <label for="Result">Result:</label>
                    </div>
                    <%= Html.DropDownList("Result", (SelectList)ViewData["grades"], new { @class = "dropDownList" })%>   
                    <%= Html.ValidationMessage("Result")%>
                    <input name="addReferenceButton" class="formButton" id="addReferenceButton" type="submit" value="Add qualification" />
                </div>
                <div class="formLabel clear">
                    <label for="ReferenceList">Qualifications:</label>
                </div>
                <select name="QualificationList" id="QualificationList" multiple="multiple" class="jobList marginT5"> 
                    <% foreach (PersonQualification qualification in (List<PersonQualification>)ViewData["qualifications"])
                       { %>
                        <% if (qualification.PersonQualificationId == Model.PersonQualificationId)
                           { %>
                            <option selected="selected" value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                </select> 
            </div>
            <div class="panelBottom"></div>
        </fieldset>
    <% } %>