<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonSkill>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    
    <% using (Html.BeginForm()) {%>
        <div class="panelTop"></div>
        <div id="skills" class="padLR20">
            <div class="titleLabel">Add skills</div>
            <div class="formColumn">
                <div class="formLabel">
                    <label for="SkillName">Skill name:</label>
                </div>
                <%= Html.TextBox("SkillName") %>
                <%= Html.ValidationMessage("SkillName") %>
                <div class="formLabel">
                    <label for="YearsExperience">Years experience:</label>
                </div>
                <%= Html.TextBox("YearsOfExperience")%>
                <%= Html.ValidationMessage("YearsOfExperience")%>
            </div>
            <div class="formColumn">
                <div class="formLabel">
                    <label for="ProficiencyLevel">Proficiency level:</label>
                </div>
                <%= Html.DropDownList("ProficiencyLevel", (SelectList)ViewData["proficiency"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("ProficiencyLevel") %><br />
                <input name="addSkillButton" class="formButton" id="addSkillButton" type="submit" value="Add to skill record" />
            </div>
            <div class="formLabel clear">
                <label for="SkillList">Skill record:</label>
            </div>
            <select name="SkillsList" id="SkillsList" multiple="multiple" class="jobList marginT5"> 
                <% foreach (PersonSkill skill in (List<PersonSkill>)ViewData["skills"])
                   { %>
                    <% if (skill.PersonSkillId== Model.PersonSkillId)
                       { %>
                        <option selected="selected" value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                    <% } else { %> 
                        <option value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                    <% } %> 
                <% } %> 
            </select>
        </div>
        <div class="panelBottom"></div>
    <% } %>