<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonReferee>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, RefereeId = Model.RefereeId })) {%>
        <fieldset>
            <div class="panelTop"></div>
            <div id="references" class="padLR20">
                <div class="titleLabel">Delete referee</div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="RefereeTitle">Title:</label>
                    </div>
                    <%= Html.TextBox("RefereeTitle")%>
                    <div class="formLabel">
                        <label for="FirstName">First name:</label>
                    </div>
                    <%= Html.TextBox("RefereeFirstName")%>
                    <div class="formLabel">
                        <label for="LastName">Last name:</label>
                    </div>
                    <%= Html.TextBox("RefereeLastName")%>
                    <div class="formLabel">
                        <label for="Occupation">Occupation:</label>
                    </div>
                    <%= Html.TextBox("Occupation") %>
                    <div class="formLabel">
                        <label for="YearsKnown">Years known:</label>
                    </div>
                    <%= Html.TextBox("YearsKnown") %>
                    <div class="formLabel">
                        <label for="Relationship">Relationship:</label>
                    </div>
                    <%= Html.TextBox("Relationship") %>
                    <div class="formLabel">
                        <label for="RefereePhone">Phone number:</label>
                    </div>
                    <%= Html.TextBox("RefereePhone")%>
                </div>
                <div class="formColumn">
                    <div class="formLabel">
                        <label for="RefereeAddressLine1">Address line 1:</label>
                    </div>
                    <%= Html.TextBox("RefereeAddressLine1", Model.RefereeAddressLine1)%>
                    <div class="formLabel">
                        <label for="RefereeAddressLine2">Address line 2:</label>
                    </div>
                    <%= Html.TextBox("RefereeAddressLine2", Model.RefereeAddressLine2)%>
                    <div class="formLabel">
                        <label for="RefereeTown">Town/City:</label>
                    </div>
                    <%= Html.TextBox("RefereeTown", Model.RefereeTown)%>
                    <div class="formLabel">
                        <label for="RefereePostCode">Post code:</label>
                    </div>
                    <%= Html.TextBox("RefereePostCode", Model.RefereePostCode)%>
                    <div class="formLabel">
                        <label for="Email">E-mail address:</label>
                    </div>
                    <%= Html.TextBox("Email", Model.Email) %>
                    <div class="formLabel">
                        <label for="PermissionToStoreDetails">Grant permissions:</label>
                    </div>
                    <div class="row inline marginT5 floatLeft">
                        <div class="width133 floatLeft inline">
                            <div class="middle inline">to contact</div>&nbsp;
                            <%= Html.CheckBox("PermissionToContact", true, new { @class = "floatLeft" })%>
                        </div>
                        <div class="width133 floatLeft inline">
                            <div class="middle inline">to store details</div>&nbsp;
                            <%= Html.CheckBox("PermissionToStoreDetails", true, new { @class = "floatLeft" })%>
                        </div>
                    </div>
                    <input name="addReferenceButton" class="formButton" id="addReferenceButton" type="submit" value="Delete selected referee" />
                </div>
                <div class="formLabel clear">
                    <label for="ReferenceList">Reference list:</label>
                </div>
                <select name="QualificationList" id="RefereeList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/cv/deleterecord/<%= Model.PersonId %>?personRefereeId=' + this.options[this.selectedIndex].value"> 
                    <% foreach (PersonReferee referee in (List<PersonReferee>)ViewData["referees"])
                       { %>
                        <% if (referee.RefereeId == Model.RefereeId)
                           { %>
                            <option selected="selected" value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                </select>
            </div>
            <div class="panelBottom"></div>
        </fieldset>
    <% } %>