<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonEmployment>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
     <script type="text/javascript">
         $(document).ready(function() {
             $("#StartDate").datepicker({ dateFormat: 'd MM yy', changeMonth: true, changeYear: true });
             $("#EndDate").datepicker({ dateFormat: 'd MM yy', changeMonth: true, changeYear: true });
         }); 
    </script>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, EmploymentId = Model.EmploymentId })) {%>
        <div class="panelTop"></div>
        <div id="jobs" class="padLR20">
            <div class="titleLabel">Edit employment record</div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.EmploymentId != 0) { %>
                    <div class="formLabel">
                        <label for="EmploymentVerified">Record verified:</label>
                    </div>
                    <%= Html.TextBox("EmploymentVerified", Model.EmploymentVerified, new { @class = (Model.EmploymentVerified ? "verified" : "notVerified"), onkeypress = "return false;" })%>
                <% } %>
                <div class="formLabel">
                    <label for="CompanyName">Company name:</label>
                </div>
                <%= Html.TextBox("CompanyName") %>
                <%= Html.ValidationMessage("CompanyName")%>
                <div class="formLabel">
                    <label for="IndustrySector">Market sector:</label>
                </div>
                <%= Html.DropDownList("IndustrySector", (SelectList)ViewData["sectors"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("IndustrySector")%>
                <div class="formLabel">
                    <label for="JobTitle">Job title:</label>
                </div>
                <%= Html.TextBox("JobTitle") %>
                <%= Html.ValidationMessage("JobTitle")%>
                <div class="formLabel">
                    <label for="StartDate">Start date:</label>
                </div>
                <%= Html.TextBox("StartDate") %>
                <%= Html.ValidationMessage("StartDate")%>
                <div class="formLabel">
                    <label for="EndDate">End date:</label>
                </div>
                <%= Html.TextBox("EndDate")%>
                <%= Html.ValidationMessage("EndDate")%>
            </div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.EmploymentId != 0) { %>
                    <div class="formLabel">
                        <label for="EmploymentVerificationType">Verification type:</label>
                    </div>
                    <%= Html.DropDownList("EmploymentVerificationType", (SelectList)ViewData["employmentVerifications"], new { @class = "dropDownList " + (Model.EmploymentVerified ? "verified" : "notVerified"), onchange = "UpdateVerified(this)" })%>
                <% } %>
                <div class="formLabel">
                    <label for="KeyDuties">Job description:</label>
                </div>
                <%= Html.TextArea("KeyDuties", new { @class = "jobDescriptionBox marginT5" })%><br />
                <%= Html.ValidationMessage("KeyDuties")%>
                <input name="EditJobButton" class="formButton" id="EditJobButton" type="submit" value="Save changes" />
            </div>
            <div class="formLabel clear">
                <label for="JobList">Employment record:</label>
            </div>
            <select name="JobList" id="JobList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/Cv/Edit/<%= Model.PersonId %>?employmentId=' + this.options[this.selectedIndex].value"> 
                <% foreach(PersonEmployment employment in (List<PersonEmployment>)ViewData["employments"]) { %>
                    <% if (ViewData["role"].ToString() == "Admin" && Model.EmploymentId != 0) { %>
                        <% if (employment.EmploymentId == Model.EmploymentId) { %>
                            <option selected="selected" class="<%= (employment.EmploymentVerified ? "green" : "red") %>" value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } else { %> 
                            <option class="<%= (employment.EmploymentVerified ? "green" : "red") %>" value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } %> 
                    <% } else { %> 
                        <% if (employment.EmploymentId == Model.EmploymentId) { %>
                            <option selected="selected" value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } else { %> 
                            <option value="<%= employment.EmploymentId %>"><%= employment.ToShortString() %></option>
                        <% } %> 
                    <% } %> 
                <% } %> 
            </select> 
        </div>
        <div class="panelBottom"></div>
    <% } %>