<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonQualification>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, PersonQualificationId = Model.PersonQualificationId })) {%>
        <div class="panelTop"></div>
        <div id="qualifications" class="padLR20">
            <div class="titleLabel">Edit qualifications</div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.PersonQualificationId != 0) { %>
                    <div class="formLabel">
                        <label for="QualificationVerified">Record verified:</label>
                    </div>
                    <%= Html.TextBox("QualificationVerified", Model.QualificationVerified, new { @class = (Model.QualificationVerified ? "verified" : "notVerified"), onkeypress = "return false;" })%>
                <% } %>
                <div class="formLabel">
                    <label for="Name">Name:</label>
                </div>
                <%= Html.TextBox("QualificationName")%>
                <%= Html.ValidationMessage("QualificationName")%>
                <div class="formLabel">
                    <label for="Subject">Subject:</label>
                </div>
                <%= Html.TextBox("Subject") %>
                <%= Html.ValidationMessage("Subject")%>
                <div class="formLabel">
                    <label for="Type">Type:</label>
                </div>
                <%= Html.DropDownList("Type", (SelectList)ViewData["types"], new { @class = "dropDownList", onchange = "UpdateVocational(this)" })%>                       
                <%= Html.ValidationMessage("Type")%>
                <div class="formLabel">
                    <label for="Vocational">Vocational:</label>
                </div>
                <%= Html.TextBox("Vocational", Model.Vocational, new { onkeypress = "return false;" })%>
            </div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.PersonQualificationId != 0) { %>
                    <div class="formLabel">
                        <label for="QualificationVerificationType">Verification type:</label>
                    </div>
                    <%= Html.DropDownList("QualificationVerificationType", (SelectList)ViewData["qualificationVerifications"], new { @class = "dropDownList " + (Model.QualificationVerified ? "verified" : "notVerified"), onchange = "UpdateVerified(this)" })%>
                <% } %>
                <div class="formLabel">
                    <label for="AwardedBy">Awarded by:</label>
                </div>
                <%= Html.TextBox("AwardedBy")%>
                <%= Html.ValidationMessage("AwardedBy")%>
                <div class="formLabel">
                    <label for="Year">Year:</label>
                </div>
                <%= Html.TextBox("Year")%>
                <%= Html.ValidationMessage("Year")%>
                <div class="formLabel">
                    <label for="Result">Result:</label>
                </div>
                <%= Html.DropDownList("Result", (SelectList)ViewData["grades"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("Result")%>
                <input name="addReferenceButton" class="formButton" id="addReferenceButton" type="submit" value="Save changes" />
            </div>
            <div class="formLabel clear">
                <label for="ReferenceList">Qualifications:</label>
            </div>
            <select name="QualificationList" id="QualificationList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/Cv/Edit/<%= Model.PersonId %>?personQualificationId=' + this.options[this.selectedIndex].value"> 
                <% foreach (PersonQualification qualification in (List<PersonQualification>)ViewData["qualifications"]) { %>
                    <% if (ViewData["role"].ToString() == "Admin" && Model.PersonQualificationId != 0) { %>
                        <% if (qualification.PersonQualificationId == Model.PersonQualificationId)
                           { %>
                            <option selected="selected" class="<%= (qualification.QualificationVerified ? "green" : "red") %>" value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } else { %> 
                            <option class="<%= (qualification.QualificationVerified ? "green" : "red") %>" value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } %> 
                    <% } else { %> 
                        <% if (qualification.PersonQualificationId == Model.PersonQualificationId)
                           { %>
                            <option selected="selected" value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= qualification.PersonQualificationId %>"><%= qualification.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                <% } %> 
            </select> 
        </div>
        <div class="panelBottom"></div>
    <% } %>