<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonReferee>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, RefereeId = Model.RefereeId })) {%>
        <div class="panelTop"></div>
        <div id="references" class="padLR20">
            <div class="titleLabel">Edit referees</div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.RefereeId != 0) { %>
                    <div class="formLabel">
                        <label for="RefereeVerified">Record verified:</label>
                    </div>
                    <%= Html.TextBox("RefereeVerified", Model.RefereeVerified, new { @class = (Model.RefereeVerified ? "verified" : "notVerified"), onkeypress = "return false;" })%>
                <% } %>
                <div class="formLabel">
                    <label for="RefereeTitle">Title:</label>
                </div>
                <%= Html.DropDownList("RefereeTitle", (SelectList)ViewData["titles"], new { @class="dropDownList" })%>
                <%= Html.ValidationMessage("RefereeTitle")%>
                <div class="formLabel">
                    <label for="FirstName">First name:</label>
                </div>
                <%= Html.TextBox("RefereeFirstName")%>
                <%= Html.ValidationMessage("RefereeFirstName")%>
                <div class="formLabel">
                    <label for="LastName">Last name:</label>
                </div>
                <%= Html.TextBox("RefereeLastName")%>
                <%= Html.ValidationMessage("RefereeLastName")%>
                <div class="formLabel">
                    <label for="Occupation">Occupation:</label>
                </div>
                <%= Html.TextBox("Occupation") %>
                <%= Html.ValidationMessage("Occupation") %>
                <div class="formLabel">
                    <label for="YearsKnown">Years known:</label>
                </div>
                <%= Html.TextBox("YearsKnown") %>
                <%= Html.ValidationMessage("YearsKnown") %>
                <div class="formLabel">
                    <label for="Relationship">Relationship:</label>
                </div>
                <%= Html.DropDownList("Relationship", (SelectList)ViewData["relationships"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("Relationship") %>
                <div class="formLabel">
                    <label for="RefereePhone">Phone number:</label>
                </div>
                <%= Html.TextBox("RefereePhone")%>
                <%= Html.ValidationMessage("RefereePhone")%>
            </div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.RefereeId != 0) { %>
                    <div class="formLabel">
                        <label for="RefereeVerificationType">Verification type:</label>
                    </div>
                    <%= Html.DropDownList("RefereeVerificationType", (SelectList)ViewData["refereeVerifications"], new { @class = "dropDownList " + (Model.RefereeVerified ? "verified" : "notVerified"), onchange = "UpdateVerified(this)" })%>
                <% } %>
                <div class="formLabel">
                    <label for="RefereeAddressLine1">Address line 1:</label>
                </div>
                <%= Html.TextBox("RefereeAddressLine1")%>
                <%= Html.ValidationMessage("RefereeAddressLine1")%>
                <div class="formLabel">
                    <label for="RefereeAddressLine2">Address line 2:</label>
                </div>
                <%= Html.TextBox("RefereeAddressLine2")%>
                <%= Html.ValidationMessage("RefereeAddressLine2")%>
                <div class="formLabel">
                    <label for="RefereeTown">Town/City:</label>
                </div>
                <%= Html.TextBox("RefereeTown")%>
                <%= Html.ValidationMessage("RefereeTown") %>
                <div class="formLabel">
                    <label for="RefereePostCode">Post code:</label>
                </div>
                <%= Html.TextBox("RefereePostCode")%>
                <%= Html.ValidationMessage("RefereePostCode")%>
                <div class="formLabel">
                    <label for="Email">E-mail address:</label>
                </div>
                <%= Html.TextBox("Email") %>
                <%= Html.ValidationMessage("Email") %>
                <div class="formLabel">
                    <label for="PermissionToStoreDetails">Grant permissions:</label>
                </div>
                <div class="row inline marginT5 floatLeft">
                    <div class="width133 floatLeft inline">
                        <div class="middle inline">to contact</div>&nbsp;
                        <%= Html.CheckBox("PermissionToContact", true, new { @class = "floatLeft" })%>
                    </div>
                    <div class="width133 floatLeft inline">
                        <div class="middle inline">to store details</div>&nbsp;
                        <%= Html.CheckBox("PermissionToStoreDetails", true, new { @class = "floatLeft" })%>
                    </div>
                </div>
                <%= Html.ValidationMessage("PermissionToStoreDetails")%>
                <%= Html.ValidationMessage("PermissionToContact")%>
                <input name="addReferenceButton" class="formButton" id="addReferenceButton" type="submit" value="Save changes" />
            </div>
            <div class="formLabel clear">
                <label for="ReferenceList">Reference list:</label>
            </div>
               <select name="QualificationList" id="RefereeList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/Cv/Edit/<%= Model.PersonId %>?personRefereeId=' + this.options[this.selectedIndex].value"> 
                <% foreach (PersonReferee referee in (List<PersonReferee>)ViewData["referees"]) { %>
                    <% if (ViewData["role"].ToString() == "Admin" && Model.RefereeId != 0) { %>
                        <% if (referee.RefereeId == Model.RefereeId) { %>
                            <option class="<%= (referee.RefereeVerified ? "green" : "red") %>" selected="selected" value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } else { %> 
                            <option class="<%= (referee.RefereeVerified ? "green" : "red") %>" value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } %> 
                    <% } else { %> 
                        <% if (referee.RefereeId == Model.RefereeId) { %>
                            <option selected="selected" value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= referee.RefereeId %>"><%= referee.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                <% } %> 
            </select>
        </div>
        <div class="panelBottom"></div>
    <% } %>