<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonSkill>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
    <% using (Html.BeginForm(new { PersonId = Model.PersonId, PersonSkillId = Model.PersonSkillId })) {%>
        <div class="panelTop"></div>
        <div id="skills" class="padLR20">
            <div class="titleLabel">Edit skills</div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.PersonSkillId != 0) { %>
                    <div class="formLabel">
                        <label for="SkillVerified">Record verified:</label>
                    </div>
                    <%= Html.TextBox("SkillVerified", Model.SkillVerified, new { @class = (Model.SkillVerified ? "verified" : "notVerified"), onkeypress = "return false;" })%>
                <% } %>
                <div class="formLabel">
                    <label for="SkillName">Skill name:</label>
                </div>
                <%= Html.TextBox("SkillName")%>
                <%= Html.ValidationMessage("SkillName")%>
                <div class="formLabel">
                    <label for="YearsExperience">Years experience:</label>
                </div>
                <%= Html.TextBox("YearsOfExperience")%>
                <%= Html.ValidationMessage("YearsOfExperience")%>
            </div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.PersonSkillId != 0) { %>
                    <div class="formLabel">
                        <label for="SkillVerificationType">Verification type:</label>
                    </div>
                    <%= Html.DropDownList("SkillVerificationType", (SelectList)ViewData["skillVerifications"], new { @class = "dropDownList " + (Model.SkillVerified ? "verified" : "notVerified"), onchange = "UpdateVerified(this)" })%>
                <% } %>
                <div class="formLabel">
                    <label for="ProficiencyLevel">Proficiency level:</label>
                </div>
                <%=Html.DropDownList("ProficiencyLevel", (SelectList)ViewData["proficiency"], new { @class = "dropDownList" })%>   
                <%= Html.ValidationMessage("ProficiencyLevel")%><br />
                <input name="addSkillButton" class="formButton" id="Submit1" type="submit" value="Save changes" />
            </div>
            <div class="formLabel clear">
                <label for="SkillList">Skill record:</label>
            </div>
            <select name="SkillsList" id="SkillsList" multiple="multiple" class="jobList marginT5" onchange="javascript:location.href='/Cv/Edit/<%= Model.PersonId %>?personSkillId=' + this.options[this.selectedIndex].value"> 
                <% foreach (PersonSkill skill in (List<PersonSkill>)ViewData["skills"]) { %>
                    <% if (ViewData["role"].ToString() == "Admin" && Model.PersonSkillId != 0) { %>
                        <% if (skill.PersonSkillId== Model.PersonSkillId) { %>
                            <option class="<%= (skill.SkillVerified ? "green" : "red") %>" selected="selected" value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } else { %> 
                            <option class="<%= (skill.SkillVerified ? "green" : "red") %>" value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } %> 
                    <% } else { %> 
                        <% if (skill.PersonSkillId== Model.PersonSkillId) { %>
                            <option selected="selected" value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } else { %> 
                            <option value="<%= skill.PersonSkillId %>"><%= skill.ToShortString()%></option>
                        <% } %> 
                    <% } %> 
                <% } %> 
            </select>
        </div>
        <div class="panelBottom"></div>
    <% } %>