<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PersonalDetail>" %>
<%@ Import Namespace="RecruitmentAgency.Models.DataTypes"%>
   
 <script type="text/javascript">
    $(document).ready(function() {
        $("#DateOfBirth").datepicker({dateFormat: 'd MM yy', changeMonth: true, changeYear: true });    
    }); 
</script>
   
    <% using (Html.BeginForm("Edit", "Cv", FormMethod.Post, new { enctype = "multipart/form-data" })) {%>
        <div class="panelTop"></div>
        <div id="personal" class="padLR20">
            <div class="titleLabel">Edit personal details</div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.AuthorityToWork != null && Model.AuthorityToWork != "None") { %>
                    <div class="formLabel">
                        <label for="PersonalDetailVerified">Record verified:</label>
                    </div>
                    <%= Html.TextBox("PersonalDetailVerified", Model.PersonalDetailVerified, new { @class = (Model.PersonalDetailVerified ? "verified" : "notVerified"), onkeypress = "return false;" })%>
                <% } %>
                <div class="formLabel">
                    <label for="Title">Title:</label>
                </div>
                <%=Html.DropDownList("Title", (SelectList)ViewData["titles"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("Title")%>
                <div class="formLabel">
                    <label for="FirstName">First name:</label>
                </div>
                <%= Html.TextBox("FirstName") %>
                <%= Html.ValidationMessage("FirstName") %>
                <div class="formLabel">
                    <label for="MiddleNames">Middle names:</label>
                </div>
                <%= Html.TextBox("MiddleNames")%>
                <div class="formLabel">
                    <label for="LastName">Last name:</label>
                </div>
                <%= Html.TextBox("LastName") %>
                <%= Html.ValidationMessage("LastName")%>
                <div class="formLabel">
                    <label for="DateOfBirth">Date of birth:</label>
                </div>
                <%= Html.TextBox("DateOfBirth") %>
                <%= Html.ValidationMessage("DateOfBirth")%>
                <div class="formLabel">
                    <label for="HomePhone">Home phone:</label>
                </div>
                <%= Html.TextBox("HomePhone") %>
                <%= Html.ValidationMessage("HomePhone")%>
                <div class="formLabel">
                    <label for="MobilePhone">Mobile phone:</label>
                </div>
                <%= Html.TextBox("MobilePhone") %>
                <%= Html.ValidationMessage("MobilePhone")%>
                <div class="formLabel">
                    <label for="ContactPreference">Contact preference:</label>
                </div>
                <%= Html.DropDownList("ContactPreference", (SelectList)ViewData["preferences"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("ContactPreference")%>
                <div class="formLabel">
                    <label for="PhotoFileUpload">Upload photo:</label>
                </div>
                <input type="file" id="PhotoFileUpload" name="PhotoFileUpload" />
                <%= Html.Hidden("PhotoUrl") %>
            </div>
            <div class="formColumn">
                <% if (ViewData["role"].ToString() == "Admin" && Model.AuthorityToWork != null && Model.AuthorityToWork != "None") { %>
                    <div class="formLabel">
                        <label for="PersonalDetailVerificationType">Verification type:</label>
                    </div>
                    <%= Html.DropDownList("PersonalDetailVerificationType", (SelectList)ViewData["personalDetailVerifications"], new { @class = "dropDownList " + (Model.PersonalDetailVerified ? "verified" : "notVerified"), onchange = "UpdateVerified(this)" })%>
                <% } %>
               <div class="formLabel">
                    <label for="AddressLine1">Address line 1:</label>
                </div>
                <%= Html.TextBox("AddressLine1") %>
                <%= Html.ValidationMessage("AddressLine1")%>
                <div class="formLabel">
                    <label for="AddressLine2">Address line 2:</label>
                </div>
                <%= Html.TextBox("AddressLine2") %>
                <div class="formLabel">
                    <label for="Town">Town/City:</label>
                </div>
                <%= Html.TextBox("Town") %>
                <%= Html.ValidationMessage("Town")%>
                <div class="formLabel">
                    <label for="PostCode">Post code:</label>
                </div>
                <%= Html.TextBox("PostCode") %>
                <%= Html.ValidationMessage("PostCode")%>
                <div class="formLabel">
                    <label for="Email1">Personal e-mail:</label>
                </div>
                <%= Html.TextBox("Email1") %>
                <%= Html.ValidationMessage("Email1")%>
                <div class="formLabel">
                    <label for="Email2">Work e-mail:</label>
                </div>
                <%= Html.TextBox("Email2")%>
                <%= Html.ValidationMessage("Email2")%>
                <div class="formLabel">
                    <label for="WebsiteUrl">Website URL:</label>
                </div>
                <%= Html.TextBox("WebsiteUrl") %>
                <%= Html.ValidationMessage("WebsiteUrl")%>
                <div class="formLabel">
                    <label for="AuthorityToWork">Authority to work:</label>
                </div>
                <%= Html.DropDownList("AuthorityToWork", (SelectList)ViewData["authorities"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("AuthorityToWork")%>
                <div class="formLabel">
                    <label for="JobSectorPreference">Work preference:</label>
                </div>
                <%= Html.DropDownList("JobSectorPreference", (SelectList)ViewData["jobSectors"], new { @class = "dropDownList" })%>
                <%= Html.ValidationMessage("JobSectorPreference")%>
                <input name="addPersonalDetailsButton" class="formButton" id="addPersonalDetailsButton" type="submit" value="Save changes" />
            </div>
        </div>
        <div class="panelBottom"></div>
    <% } %>